sandwich {sandwich} | R Documentation

## Making Sandwiches with Bread and Meat

### Description

Constructing sandwich covariance matrix estimators by multiplying bread and meat matrices.

### Usage

    sandwich(x, bread. = bread, meat. = meat, ...)

### Arguments

`x` | a fitted model object.
`bread.` | either a bread matrix or a function for computing this via `bread.(x)`.
`meat.` | either a bread matrix or a function for computing this via `meat.(x, ...)`.
`...` | arguments passed to the `meat` function.

### Details

`sandwich` is a simple convenience function that takes a bread matrix (i.e., estimator of the expectation of the negative derivative of the estimating functions) and a meat matrix (i.e., estimator of the variance of the estimating functions) and multiplies them to a sandwich with meat between two slices of bread. By default `bread` and `meat` are called.

Some theoretical background along with implementation details is given in Zeileis (2006).

### Value

A matrix containing the sandwich covariance matrix estimate. Typically, this should be an k x k matrix corresponding to k parameters.

### References

Zeileis A (2006), Object-Oriented Computation of Sandwich Estimators. Journal of Statistical Software, 16(9), 1–16. URL http://www.jstatsoft.org/v16/i09/.

### See Also

`bread`, `meat`, `meatHC`, `meatHAC`

### Examples

    x <- sin(1:10)
    y <- rnorm(10)
    fm <- lm(y ~ x)

    sandwich(fm)
    vcovHC(fm, type = "HC")

[Package sandwich version 2.5-1 Index]